UbuntuUpdates.org

Package "libvirt-daemon-driver-qemu"

Name: libvirt-daemon-driver-qemu

Description:

Virtualization daemon QEMU connection driver

Latest version: 6.0.0-0ubuntu8.16
Release: focal (20.04)
Level: security
Repository: main
Head package: libvirt
Homepage: https://libvirt.org/

Links


Download "libvirt-daemon-driver-qemu"


Other versions of "libvirt-daemon-driver-qemu" in Focal

Repository Area Version
base main 6.0.0-0ubuntu8
updates main 6.0.0-0ubuntu8.16

Changelog

Version: 6.0.0-0ubuntu8.16 2022-05-02 18:06:25 UTC

  libvirt (6.0.0-0ubuntu8.16) focal-security; urgency=medium

  * SECURITY UPDATE: crash via double-free memory issue
    - debian/patches/CVE-2020-25637-1.patch: gendispatch: handle empty
      flags in src/rpc/gendispatch.pl.
    - debian/patches/CVE-2020-25637-2.patch: add support for filtering
      @acls by uint params in src/remote/remote_protocol.x,
      src/rpc/gendispatch.pl.
    - debian/patches/CVE-2020-25637-3.patch: require write acl for guest
      agent in src/libxl/libxl_driver.c, src/qemu/qemu_driver.c,
      src/remote/remote_protocol.x.
    - debian/patches/CVE-2020-25637-4.patch: set ifname to NULL after
      freeing in src/qemu/qemu_agent.c.
    - CVE-2020-25637
  * SECURITY UPDATE: sVirt SELinux confinement flaw
    - debian/patches/CVE-2021-3631.patch: fix SELinux label generation
      logic in src/security/security_selinux.c.
    - CVE-2021-3631
  * SECURITY UPDATE: improper locking issue
    - debian/patches/CVE-2021-3667.patch: unlock object on ACL fail in
      src/storage/storage_driver.c.
    - CVE-2021-3667
  * SECURITY UPDATE: segmentation fault during VM shutdown
    - debian/patches/CVE-2021-3975.patch: add missing lock in
      qemuProcessHandleMonitorEOF in src/qemu/qemu_process.c.
    - CVE-2021-3975
  * SECURITY UPDATE: DoS via libxl driver
    - debian/patches/CVE-2021-4147-pre1.patch: fix domain shutdown in
      src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-1.patch: disable death events after
      receiving a shutdown event in src/libxl/libxl_domain.c,
      src/libxl/libxl_domain.h.
    - debian/patches/CVE-2021-4147-2.patch: rename libxlShutdownThreadInfo
      struct in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-3.patch: modify name of shutdown thread
      in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-4.patch: handle domain death events in a
      thread in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-5.patch: search for virDomainObj in
      event handler threads in src/libxl/libxl_domain.c.
    - debian/patches/CVE-2021-4147-6pre1.patch: avoid virHashFree by
      rearranging code in src/libxl/libxl_logger.c.
    - debian/patches/CVE-2021-4147-6.patch: protect access to libxlLogger
      files hash table in src/libxl/libxl_logger.c.
    - CVE-2021-4147
  * SECURITY UPDATE: DoS via nwfilter driver
    - debian/patches/CVE-2022-0897.patch: fix crash when counting number of
      network filters in src/nwfilter/nwfilter_driver.c.
    - CVE-2022-0897

 -- Marc Deslauriers <email address hidden> Wed, 20 Apr 2022 11:31:12 -0400

Source diff to previous version
CVE-2020-25637 A double free memory issue was found to occur in the libvirt API, in versions before 6.8.0, responsible for requesting information about network inte
CVE-2021-3631 A flaw was found in libvirt while it generates SELinux MCS category pairs for VMs' dynamic labels. This flaw allows one exploited guest to access fil
CVE-2021-3667 An improper locking issue was found in the virStoragePoolLookupByTargetPath API of libvirt. It occurs in the storagePoolLookupByTargetPath function w
CVE-2021-3975 segmentation fault during VM shutdown can lead to vdsm hung
CVE-2021-4147 A flaw was found in the libvirt libxl driver. A malicious guest could continuously reboot itself and cause libvirtd on the host to deadlock or crash,
CVE-2022-0897 A flaw was found in the libvirt nwfilter driver. The virNWFilterObjListNumOfNWFilters method failed to acquire the `driver->nwfilters` mutex before i

Version: 6.0.0-0ubuntu8.3 2020-08-04 19:07:06 UTC

  libvirt (6.0.0-0ubuntu8.3) focal-security; urgency=medium

  * SECURITY UPDATE: privilege escalation via incorrect socket permissions
    - debian/patches/ubuntu/set-proper-socket-permissions.patch: set
      appropriate permissions on socket created by systemd.
    - CVE-2020-15708

 -- Marc Deslauriers <email address hidden> Thu, 30 Jul 2020 06:40:28 -0400

CVE-2020-15708 RESERVED



About   -   Send Feedback to @ubuntu_updates